Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface DbFeedbackHandler

public interface DbFeedbackHandler

The DbFeedbackHandler interface is used by the Db.setFeedback method. This interface defines the application-specific function to be called to to report Berkeley DB operation progress.

Method Summary
`void` | `feedback(Db db, int opcode, int percent)` The DbFeedbackHandler interface is used by the Db.setFeedback method.

Method Detail

### feedback

    public void feedback(Db db,
                         int opcode,
                         int percent)

  The DbFeedbackHandler interface is used by the Db.setFeedback method. This interface defines the application-specific function to be called to to report Berkeley DB operation progress.

  Parameters:
    `db` - a reference to the enclosing database.
    `opcode` - an operation code. The opcode parameter may take on any of the following values:
    - `Db.DB_UPGRADE`

      The underlying database is being upgraded.

    - `Db.DB_VERIFY`

      The underlying database is being verified.

    `percent` - the percent of the operation that has been completed, specified as an integer value between 0 and 100.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.